import { IPageHandler } from "../interface";
import { GoogleCalendarParams } from "./googleCalendar_base";
export declare class PageHandler implements IPageHandler {
    protected clientEmail: string;
    protected privateKey: string;
    protected scopes: string[];
    constructor(fields: GoogleCalendarParams);
    getAuth: () => Promise<import("google-auth-library").JWT>;
    googleCalendarGetIDsImpl: () => Promise<(string | null | undefined)[] | undefined>;
    googleCalendarViewEventsImpl: (calendarId: string) => Promise<string>;
    handleToolCall(toolName: string, params: any): any;
    toolImplementations: Record<ToolName, (...args: any[]) => any>;
}
export declare const tools: {
    googleCalendarGetIDs: {
        displayName: string;
        description: string;
        schema: {
            type: string;
            function: {
                name: string;
                description: string;
                parameters: {
                    type: string;
                    properties: {};
                    required: never[];
                };
            };
        };
    };
    googleCalendarViewEvents: {
        displayName: string;
        description: string;
        schema: {
            type: string;
            function: {
                name: string;
                description: string;
                parameters: {
                    type: string;
                    properties: {
                        calendarId: {
                            type: string;
                        };
                    };
                    required: string[];
                };
            };
        };
    };
};
export type ToolName = keyof typeof tools;
export declare function getToolInfo(): {
    name: ToolName;
    displayName: string;
}[];
