import { IPageHandler } from "./interface";
import { ToolName } from "../tool";
/**
 * Implementation of getTextSelection, replaceSelectedText, etc for Overleaf
 * @class OverleafPage
 */
export declare class PageHandler implements IPageHandler {
    currentSelection: Selection | null;
    constructor();
    handleSelectionChange: () => void;
    getSelectionImpl: () => string;
    replaceSelectionImpl: (params: {
        newText: string | string[];
    }) => void;
    appendTextImpl: (params: {
        text: string;
    }) => void;
    handleToolCall(toolName: string, params: any): any;
    toolImplementations: Record<ToolName, (...args: any[]) => any>;
}
export declare const availableTools: ToolName[];
