import { CallerType, Scope, ToolType } from "./enum";
export declare const tool: Record<string, Tool>;
export declare const toolName: string[];
export type ToolName = keyof typeof tool;
export interface Tool {
    name: ToolName;
    displayName: string;
    description: string;
    schema: {
        type: "function";
        function: {
            name: string;
            description: string;
            parameters: {
                type: "object";
                properties: Record<string, any>;
                required: Array<keyof Tool["schema"]["function"]["parameters"]["properties"]>;
            };
        };
    };
    type: ToolType;
    scope: Scope.Any | Scope[];
    caller: CallerType;
    implementation: (parameters: any) => void;
}
